import {TokenProvider} from "../../app/provider/token.provider";

export class WebbpmTokenProvider implements TokenProvider {

  public static readonly ACCESS_TOKEN_STORAGE_KEY = 'accessToken'

  getToken(): Promise<string> {
    return new Promise(resolve => {
      resolve(localStorage.getItem(WebbpmTokenProvider.ACCESS_TOKEN_STORAGE_KEY));
    });
  }
}